from rest_framework.generics import CreateAPIView
from arkindex.project.permissions import IsAdminUser
from arkindex.documents.serializers.admin import ReindexConfigSerializer


class ReindexStart(CreateAPIView):
    """
    Run an ElasticSearch indexation from the API.
    """
    permission_classes = (IsAdminUser, )
    serializer_class = ReindexConfigSerializer
    openapi_overrides = {
        'operationId': 'Reindex',
        'description': 'Manually reindex elements, transcriptions and entities for search APIs',
        'tags': ['management']
    }
