from pathlib import Path
from rest_framework.schemas.openapi import SchemaGenerator as BaseSchemaGenerator
import yaml

PATCH_FILE = Path(__file__).absolute().parent / 'patch.yml'


class SchemaGenerator(BaseSchemaGenerator):

    def get_schema(self, **kwargs):
        with PATCH_FILE.open() as f:
            patch = yaml.safe_load(f)
        schema = super().get_schema(**kwargs)
        schema.update(patch)
        return schema
